import Vue from 'vue'
import Vuex from 'vuex'

import actions from '@/store/actions'
import mutations from '@/store/mutations'

import loader from '@/store/modules/loader'
import company from '@/store/modules/company'
import currencies from '@/store/modules/currencies'
import products from '@/store/modules/products'
import cart from '@/store/modules/cart'
import customers from '@/store/modules/customers'

Vue.use(Vuex)

const Store = new Vuex.Store({
    actions,
    mutations,
    modules: {
        loader,
        company,
        currencies,
        products,
        cart,
        customers
    }
})

export default Store
